Package com.complexible.stardog.security

# Class Permissions

java.lang.Object
com.complexible.stardog.security.Permissions

public final class Permissions extends Object

Since:
  3.1
Version:
  3.1
Author:
  Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Permissions.ActionBuilder`
  `static final class`
  `Permissions.ResourceBuilder`
  `static final class`
  `Permissions.TypeBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.complexible.stardog.security.Permission`
  `create(String thePermString)`
  `static com.complexible.stardog.security.Permission`
  `create(String theSubject, ActionType theAction, com.complexible.stardog.security.CoreResourceType theSubjectType, SecurityResourceType theType, String theResource, String... theSubResources)`
  `static com.complexible.stardog.security.Permission`
  `create(String theSubject, ActionType theAction, com.complexible.stardog.security.CoreResourceType theSubjectType, SecurityResourceType theResourceType, List<String> theResources)`
  `static com.complexible.stardog.security.Permission`
  `create(String theSubject, ActionType theAction, SecurityResourceType theType, String theResource, String... theSubResources)`
  `static com.complexible.stardog.security.Permission`
  `create(String theSubject, ActionType theAction, SecurityResourceType theType, List<String> theResources)`
  `static Permissions.ActionBuilder`
  `of(String theSubject)`
  `static com.complexible.stardog.security.Permission`
  `su(String theSubject)`
  `static SecurityResourceType`
  `type(String theStr)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### create

    public static com.complexible.stardog.security.Permission create(String theSubject, ActionType theAction, SecurityResourceType theType, String theResource, String... theSubResources)

  - ### create

    public static com.complexible.stardog.security.Permission create(String theSubject, ActionType theAction, com.complexible.stardog.security.CoreResourceType theSubjectType, SecurityResourceType theType, String theResource, String... theSubResources)

  - ### create

    public static com.complexible.stardog.security.Permission create(String theSubject, ActionType theAction, SecurityResourceType theType, List<String> theResources)

  - ### create

    public static com.complexible.stardog.security.Permission create(String theSubject, ActionType theAction, com.complexible.stardog.security.CoreResourceType theSubjectType, SecurityResourceType theResourceType, List<String> theResources)

  - ### create

    public static com.complexible.stardog.security.Permission create(String thePermString)

  - ### type

    public static SecurityResourceType type(String theStr)

  - ### su

    public static com.complexible.stardog.security.Permission su(String theSubject)

  - ### of

    public static Permissions.ActionBuilder of(String theSubject)